org.apache.ignite.internal.cache.query.index.sorted.keys

## Class AbstractTimestampIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.AbstractTimestampIndexKey

All Implemented Interfaces:
  IndexKey

    public abstract class AbstractTimestampIndexKey
    extends Object
    implements IndexKey

Abstract class for representing Timestamp index key. `TimestampInlineIndexKeyType` relies on this API to store an object in inline.

### Constructor Summary

Constructors
Constructor and Description
`AbstractTimestampIndexKey()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract long` `dateValue()`
`abstract long` `nanos()`
`int` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.cache.query.index.sorted.keys.IndexKey

`compare, key`

### Constructor Detail

#### AbstractTimestampIndexKey

    public AbstractTimestampIndexKey()

### Method Detail

#### dateValue

    public abstract long dateValue()

Returns:
  a date value `DateValueConstants`.

#### nanos

    public abstract long nanos()

Returns:
  nanoseconds since midnight.

#### type

    public int type()

Specified by:
  `type` in interface `IndexKey`
Returns:
  Index key type `IndexKeyTypes`.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021